﻿#pdfContainer {
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 0px;
    z-index: 4;
    overflow: hidden;
    padding: 0;
    border: none;
    border-radius: 0;
}

body.bg{
    background-image: URL('/content/images/bg.png');
    background-size:cover;
    background-repeat:no-repeat;
}

.sk-cube-grid {
    width: 80px;
    height: 80px;
    position:absolute;
    top:calc(50% - 40px);
    left: calc(50% - 40px);
    z-index:4;
}

    .sk-cube-grid .sk-cube {
        width: 33%;
        height: 33%;
        background-color: #71a7b6;
        float: left;
        -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
        animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    }

    .sk-cube-grid .sk-cube1 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

    .sk-cube-grid .sk-cube2 {
        -webkit-animation-delay: 0.3s;
        animation-delay: 0.3s;
    }

    .sk-cube-grid .sk-cube3 {
        -webkit-animation-delay: 0.4s;
        animation-delay: 0.4s;
    }

    .sk-cube-grid .sk-cube4 {
        -webkit-animation-delay: 0.1s;
        animation-delay: 0.1s;
    }

    .sk-cube-grid .sk-cube5 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

    .sk-cube-grid .sk-cube6 {
        -webkit-animation-delay: 0.3s;
        animation-delay: 0.3s;
    }

    .sk-cube-grid .sk-cube7 {
        -webkit-animation-delay: 0s;
        animation-delay: 0s;
    }

    .sk-cube-grid .sk-cube8 {
        -webkit-animation-delay: 0.1s;
        animation-delay: 0.1s;
    }

    .sk-cube-grid .sk-cube9 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

.complete, .alreadySigned, .markRead {
    position: absolute;
    bottom: 0;
    text-align: center;
    z-index: 5;
    width: 100%;
    height: 0;
    overflow:hidden;
    backdrop-filter: blur(2px);
    -webkit-background-filter: blur(2px);
    background-color: rgba(113,167,182,0.1);
}

    .complete.show, .alreadySigned.show, .markRead.show {
        animation: 1s slide-up;
        height:65px;
    }

.complete button, .alreadySigned button, .markRead button{
    margin:auto;
}

/*#pdfContainer iframe {
    height: calc(100% - 50px) !important;
}*/

@keyframes slide-up {
    from {
        height: 0;
    }

    to {
        height: 65px;
    }
}

@keyframes slide-up-mobile {
    from {
        height: 0;
    }

    to {
        height: 48px;
    }
}


/* Signotec Styles */
.signCanvasContainer{
    background-color:#fcfdfe;
    border:solid 2px #e6eaf1;
    border-radius:5px;
    height: 266px;
    width: 612px;
    display:flex;
}

#signotecSignatureModal.modal {
    z-index: -1;
    display: flex !important;
    justify-content: center;
    align-items: center;
}

#signotecSignatureModal.modal.show {
    z-index: 1050 !important;
}

#signotecSignatureModal .modal-dialog { /* Width */
    max-width: 100%;
    width: auto !important;
    display: inline-block;
}

#signotecSignatureModal .modal-header {
    border-bottom: none;
}
#signotecSignatureModal .modal-footer {
    border-top: none;
}